scala.collection.mutable
class ListBuffer

[source: `scala/collection/mutable/ListBuffer.scala`]

@serializable
`final` `class` ListBuffer[A]
  `extends` Buffer[A]

  The class `ListBuffer` ..

Author
  Matthias Zenger
Version
  1.0, 15/03/2004

Method Summary
`def` | +: (x : A) : Buffer[A] Prepends a single element to this buffer.
`override def` | += (x : A) : Unit Appends a single element to this buffer.
`def` | - (x : A) : Buffer[A] Removes a single element from the buffer and return the identity of the buffer. Same as `this -= x; this`
`override def` | -= (x : A) : Unit Remove a single element from this buffer.
`def` | apply (n : Int) : A Returns the n-th element of this list. This method yields an error if the element does not exist.
`def` | clear : Unit Clears the buffer contents.
`override def` | clone : Buffer[A] Returns a clone of this buffer.
`override def` | elements : Iterator[A] Returns an iterator over all elements of this list. Note: the iterator can be affected by insertions, updates and deletions that are performed afterwards on the buffer. To get iterator an over the current buffer snapshot, use `toList.elements`.
`override def` | equals (obj : Any) : Boolean Checks if two buffers are structurally identical.
`def` | insertAll (n : Int, iter : Iterable[A]) : Unit Inserts new elements at the index `n`. Opposed to method `update`, this method will not replace an element with a new one. Instead, it will insert a new element at index `n`.
`override def` | isEmpty : Boolean Returns true if length == 0
`def` | length : Int Returns the length of this buffer.
`def` | prependToList (xs : List[A]) : List[A] Prepends the elements of this buffer to a given list
`override def` | readOnly : List[A] expose the underlying list but do not mark it as exported
`def` | remove (n : Int) : A Removes the element on a given index position.
`protected override def` | stringPrefix : String Defines the prefix of the string representation.
`override def` | toList : List[A] Converts this buffer to a list
`def` | update (n : Int, x : A) : Unit Replaces element at index `n` with the new element `newelem`.

Methods inherited from Buffer
+, ++=, ++=, ++=, ++, ++, ++, ++:, append, appendAll, prepend, prependAll, insert, trimStart, trimEnd, <<, hashCode

Methods inherited from Seq
size, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf